[package]
name = "steam-vent-proto"
version = "0.5.2"
authors = ["Robin Appelman <robin@icewind.nl>"]
edition = "2021"
description = "Protobuf structs used by the Steam client protocol"
license = "MIT"
repository = "https://codeberg.org/steam-vent/proto"
rust-version = "1.78.0"

[dependencies]
steam-vent-proto-common = { version = "0.5.1", path = "common" }
steam-vent-proto-steam = { version = "0.5.2", path = "./steam" }
steam-vent-proto-tf2 = { version = "0.5.2", optional = true }
steam-vent-proto-csgo = { version = "0.5.2", optional = true }
steam-vent-proto-dota2 = { version = "0.5.2", optional = true }

[features]
tf2 = ["steam-vent-proto-tf2"]
csgo = ["steam-vent-proto-csgo"]
dota2 = ["steam-vent-proto-dota2"]

[workspace]
exclude = ["build"]